#ifndef EVENTS_H
#define EVENTS_H

//------------------------------------------------------------------------------
//
class Events
//
/// @brief Interface describing events which can stimulate our state machine.
///
//------------------------------------------------------------------------------
{
public:

    virtual ~Events() {};

    virtual void Dark () = 0;
    virtual void Light () = 0;
    virtual void Movement () = 0;
    virtual void NoMovement () = 0;
    virtual void Timeout () = 0;

};

#endif // EVENTS_H
