#ifndef STATE_H
#define STATE_H

#include "Events.h"

//------------------------------------------------------------------------------
//
class State : public Events
//
/// @brief Interface describing a state of our state machine.
///
/// We are derived from Events so that each state can react to events from the
/// outside world.
///
//------------------------------------------------------------------------------
{
public:

    virtual ~State() {};

    virtual const char * Name () const = 0;

protected:

    State() {};
};

#endif // STATE_H
